{
  "AgentSettings": {
    "Protected": false,
    "Debug": false,
    "ExtendedDebug": true,
    "Subscriptions": [],
    "MonitorAgentConnectionString": "Server=localhost%3BDatabase=Nodinite_Agent_AzureLogicApps%3BIntegrated Security=SSPI%3BConnection Timeout=30%3BTrustServerCertificate=true",
    "SourceEncryptConnection": true,
    "SourceTrustServerCertificate": false,
    "TargetEncryptConnection": true,
    "TargetTrustServerCertificate": true,
    "DaysToKeepWorkflowRuns": 30,
    "DaysToKeepSuccessfulWorkflowRuns": 7,
    "Environment": "Test",
    "CultureInfo": "sv-SE",
    "Version": "3.10",
    "EnforceHttps": false
  },
  "Logging": {
    "LogLevel": {
      "MinimumLevel": {
        "Default": "Error",
        "Override": {
          "Nodinite": "Error"
        }
      },
      "Enrich": [
        "FromLogContext",
        "WithThreadId"
      ],
      "WriteTo": [
        {
          "Name": "File",
          "Args": {
            "path": "DiagnosticsFiles\\diagnostic.log.json",
            "formatter": "Nodinite.Agent.Core.Logging.Serilog.CustomLogJsonFormatter, Nodinite.Agent.Core",
            "retainedFileCountLimit": 5,
            "fileSizeLimitBytes": 52428800
          }
        },
        {
          "Name": "Console",
          "Args": {
            "theme": "Serilog.Sinks.SystemConsole.Themes.AnsiConsoleTheme::Code, Serilog.Sinks.Console",
            "outputTemplate": "{Timestamp:yyyy-MM-dd HH:mm:ss.fff zzz} [{Level:u3}] {Message:lj}{NewLine}{Exception}"
          }
        }
      ]
    }
  }
}